Name: ca_TERENA-SCS
Version: 1.46
Release: 1
Source: ca_TERENA-SCS-1.46.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_TERENA-SCS-1.46/7ffb3ace.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for  unaccredited authority TERENA-SCS

%if %([ -n "http://www.terena.org/activities/scs/" ] && echo 1 || echo 0)
URL: http://www.terena.org/activities/scs/
%endif

%if %([ -n "ca_GTE-CyberTrust-Global-Root = 1.46" ] && echo 1 || echo 0)
Requires: ca_GTE-CyberTrust-Global-Root = 1.46
%endif

%prep
%setup -n ca_TERENA-SCS-1.46

%description
This is the trust anchor for the  unaccredited authority TERENA-SCS.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr * $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

